#ifndef _Cookie_Header
#define _Cookie_Header

#include <time.h>

struct cookie_list;
typedef struct cookie_list Cookies;
#define MAX_COOKIES 100

Cookies *cookie_init(char *cookies);
void cookie_free(Cookies **c);

int cookie_get(Cookies *c, char *name, char *value, int bfsz);

void cookie_set(Cookies *c, char *name, char *value, char *domain, char *path, time_t max_age, int secure);
void cookie_send(Cookies *c, int (*prn)(void *,char *, ...), void *prnp);

#endif
